Bug 160173 - Print button grayed out while viewing some PDFs; obey DRM limitations is "off"
Summary: Print button grayed out while viewing some PDFs; obey DRM limitations is "off"
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-31 19:14 UTC by Praveen Srinivasan
Modified: 2008-04-28 19:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
cant_print.pdf (721.83 KB, application/pdf)
2008-04-01 00:18 UTC, Praveen Srinivasan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Praveen Srinivasan 2008-03-31 19:14:51 UTC
Version:            (using KDE 4.0.2)
Installed from:    Ubuntu Packages

Hi,
While viewing the PDF at:
http://ieeexplore.ieee.org/iel5/10925/34374/01640982.pdf

with okular, the "Print" button is grayed out, even though "Obey DRM Limitations" is off.
With other PDFs, e.g. ones I generate myself, the Print button is available.
Comment 1 Pino Toscano 2008-03-31 22:51:37 UTC
SVN commit 792338 by pino:

Enable and disable the print action from the right place, so it is handled properly with remote documents.

BUG: 160173


 M  +1 -1      part.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=792338
Comment 2 Pino Toscano 2008-03-31 22:51:40 UTC
SVN commit 792339 by pino:

Backport: enable and disable the print action from the right place, so it is handled properly with remote documents.

CCBUG: 160173


 M  +1 -1      part.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=792339
Comment 3 Tobias Koenig 2008-04-01 00:14:40 UTC
On Mon, Mar 31, 2008 at 05:14:53PM -0000, Praveen Srinivasan wrote:
> Hi,

Hej,

> While viewing the PDF at:
> http://ieeexplore.ieee.org/iel5/10925/34374/01640982.pdf

Could you send us the PDF, please? We don't have an login for this site
;)

Ciao,
Tobias
Comment 4 Praveen Srinivasan 2008-04-01 00:18:47 UTC
Sorry, the file is attached.

Thanks,
Praveen

On 31 Mar 2008 22:14:41 -0000, Tobias Koenig <tokoe@kde.org> wrote:
[bugs.kde.org quoted mail]
--
~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-~-
Praveen Srinivasan


Created an attachment (id=24141)
cant_print.pdf
Comment 5 Praveen Srinivasan 2008-04-28 19:25:53 UTC
Hi,
Which version of KDE 4 will this fix appear in?

Thanks,
Praveen
Comment 6 Pino Toscano 2008-04-28 19:33:03 UTC
Okular 0.6.4, that will be shipped with KDE 4.0.4.